---
search:
  tags:
    - Config
    - GET
seo:
  description: >-
    Read settings synchronization status. Reference for the GET
    /api/admin/config/sync endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Read settings synchronization status
  badge: GET
title: Read settings synchronization status
type: openapi-operation
---
`GET /api/admin/config/sync`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `500` — Unhandled server error

Response example, 200:

```json
{
  "synchronized": true,
  "pending": {
    "id": "string",
    "expectedVersion": 0,
    "targetVersion": 0,
    "settings": {
      "ctfTheme": "string",
      "ctfName": "string",
      "ctfDescription": "string",
      "startDate": "string",
      "freezeDate": "string",
      "endDate": "string",
      "registrationOpen": true,
      "reportNotificationEmails": [
        "string"
      ],
      "exportIncludeEmails": true,
      "rules": "string",
      "faq": [
        {
          "question": "string",
          "answer": "string"
        }
      ],
      "rosterDeadline": "string",
      "tickSeconds": 0,
      "flagValidityTicks": 0,
      "checkerTimeoutSeconds": 0,
      "scoringWeights": {
        "slaUp": 0,
        "slaRecovering": 0,
        "defenceBase": 0,
        "defenceWeight": 0,
        "attackBase": 0,
        "attackWeight": 0,
        "rankWeight": 0,
        "rankReduction": true,
        "reductionMin": 0,
        "reductionMax": 0
      },
      "heroTitle": "string",
      "ctfLogoUrl": "string",
      "maxTeamSize": 0,
      "marketing": {
        "categories": [
          "string"
        ],
        "hostedBy": "string",
        "prizePool": "string",
        "discordUrl": "string",
        "writeupsUrl": "string",
        "contactUrl": "string"
      }
    },
    "version": 0,
    "changedKeys": [
      "string"
    ],
    "requiresSync": true,
    "acknowledgedAt": "2019-08-24T14:15:22Z",
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
```
